Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.transaction
Class XIDFactory

    java.lang.Object
      weblogic.transaction.XIDFactory

    public final class XIDFactory

extends Object

This is an optional interface that XA resource provider can implement to communicate extra information to the Transaction Manager.

Constructor Summary
`XIDFactory()`

Method Summary
`static Xid` | `createXID(byte[] aGlobalTransactionId, byte[] aBranchQualifier)` Create an Xid object, assuming global transaction identifier is in internal format of weblogic's transaction manager.
`static Xid` | `createXID(int aFormatId, byte[] aGlobalTransactionId, byte[] aBranchQualifier)` Create an Xid object, given its public attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XIDFactory

    public XIDFactory()

Method Detail

### createXID

    public static final Xid createXID(byte[] aGlobalTransactionId,
                                      byte[] aBranchQualifier)

  Create an Xid object, assuming global transaction identifier is in internal format of weblogic's transaction manager.

  Parameters:
    `aGlobalTransactionId` - Global transation identifier
    `aBranchQualifier` - Branch qualifier (optional)
  Returns:
    An Xid object or null

### createXID

    public static Xid createXID(int aFormatId,
                                byte[] aGlobalTransactionId,
                                byte[] aBranchQualifier)

  Create an Xid object, given its public attributes.

  Parameters:
    `aFormatId` - Format identifier
    `aGlobalTransactionId` - Global transation identifier
    `aBranchQualifier` - Branch qualifier
  Returns:
    An Xid object or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD